stages:
    - build

build_image:
    stage: build
    # tags:
    #     - ubuntu
    script:
        - mkdir -p /home/nazeer/Desktop/cicd


        # - apt-get update -qq && apt-get install -y -qq sshpass
        # - mkdir -p /root/.ssh/knows_hosts
        # - echo "$SSH_KEY_4px_test1_4pointx_com" 
        # - chmod 400 $SSH_KEY_4px_test1_4pointx_com
        # - scp -vvv -i $SSH_KEY_4px_test1_4pointx_com -o StrictHostKeyChecking=no -r * 4px@test1.4pointx.com:/home/4px/nazeer/cicdtest

        # - scp -v -i $SSH_KEY_4px_test1_4pointx_com -o stricthostkeychecking=no -r * 4px@test1.4pointx.com:/home/4px/nazeer/cicdtest
        # - ls -l
        # - docker logout localhost:5000
        # - echo $REGISTRY_PASSWORD | docker login -u $REGISTRY_USER --password-stdin localhost:5000
        # - docker login -u$REGISTRY_USER -p$REGISTRY_PASSWORD  localhost:5000
        # - docker pull nginx 
        # - docker tag nginx localhost:5000/testnginx1:nazeer 
        # - docker push localhost:5000/testnginx1:nazeer
        # - curl -u $REGISTRY_USER:$REGISTRY_PASSWORD  http://build.localhost:5000/v2/nginx/tags/list
